com.impinj.stp

## Class StpApi.DeviceConfig

- java.lang.Object
- - com.google.protobuf.AbstractMessageLite
  - - com.google.protobuf.AbstractMessage
    - - com.google.protobuf.GeneratedMessage
      - - com.impinj.stp.StpApi.DeviceConfig

- All Implemented Interfaces:
    com.google.protobuf.Message, com.google.protobuf.MessageLite, com.google.protobuf.MessageLiteOrBuilder, com.google.protobuf.MessageOrBuilder, StpApi.DeviceConfigOrBuilder, java.io.Serializable
  Enclosing class:
    StpApi

      public static final class StpApi.DeviceConfig
      extends com.google.protobuf.GeneratedMessage
      implements StpApi.DeviceConfigOrBuilder

  Protobuf type `Impinj.STP.DeviceConfig` Defines the behavior of the device. See SetDeviceConfigResp_.
  See Also:
    Serialized Form

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `StpApi.DeviceConfig.Builder` Protobuf type `Impinj.STP.DeviceConfig` Defines the behavior of the device.

    - ### Nested classes/interfaces inherited from class com.google.protobuf.GeneratedMessage

      `com.google.protobuf.GeneratedMessage.BuilderParent, com.google.protobuf.GeneratedMessage.ExtendableBuilder<MessageType extends com.google.protobuf.GeneratedMessage.ExtendableMessage,BuilderType extends com.google.protobuf.GeneratedMessage.ExtendableBuilder>, com.google.protobuf.GeneratedMessage.ExtendableMessage<MessageType extends com.google.protobuf.GeneratedMessage.ExtendableMessage>, com.google.protobuf.GeneratedMessage.ExtendableMessageOrBuilder<MessageType extends com.google.protobuf.GeneratedMessage.ExtendableMessage>, com.google.protobuf.GeneratedMessage.FieldAccessorTable, com.google.protobuf.GeneratedMessage.GeneratedExtension<ContainingType extends com.google.protobuf.Message,Type>`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `DEVICE_MODE_FIELD_NUMBER`
    `static int` | `GPI_CONFIG_FIELD_NUMBER`
    `static int` | `GPO_CONFIG_FIELD_NUMBER`
    `static int` | `OPERATION_MODE_FIELD_NUMBER`
    `static int` | `OPERATION_RESPONSIBILITY_FIELD_NUMBER`
    `static com.google.protobuf.Parser<StpApi.DeviceConfig>` | `PARSER`
    `static int` | `REGION_FIELD_NUMBER`
    `static int` | `REPORT_CONFIG_FIELD_NUMBER`
    `static int` | `TRIGGER_CONFIG_FIELD_NUMBER`

    - ### Fields inherited from class com.google.protobuf.GeneratedMessage

      `alwaysUseFieldBuilders`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static StpApi.DeviceConfig` | `getDefaultInstance()`
    `StpApi.DeviceConfig` | `getDefaultInstanceForType()`
    `static com.google.protobuf.Descriptors.Descriptor` | `getDescriptor()`
    `StpApi.DeviceMode` | `getDeviceMode()`
    `StpApi.GPIConfig` | `getGPIConfig()`
    `StpApi.GPIConfigOrBuilder` | `getGPIConfigOrBuilder()`
    `StpApi.GPOConfig` | `getGPOConfig()`
    `StpApi.GPOConfigOrBuilder` | `getGPOConfigOrBuilder()`
    `StpApi.OperationMode` | `getOperationMode()`
    `StpApi.OperationResponsibility` | `getOperationResponsibility()`
    `StpApi.OperationResponsibilityOrBuilder` | `getOperationResponsibilityOrBuilder()`
    `com.google.protobuf.Parser<StpApi.DeviceConfig>` | `getParserForType()`
    `StpApi.Region` | `getRegion()` repeated LicenseKey installed_license_keys = 1;
    `StpApi.RegionOrBuilder` | `getRegionOrBuilder()` repeated LicenseKey installed_license_keys = 1;
    `StpApi.ReportConfig` | `getReportConfig()`
    `StpApi.ReportConfigOrBuilder` | `getReportConfigOrBuilder()`
    `int` | `getSerializedSize()`
    `StpApi.TriggerConfig` | `getTriggerConfig()`
    `StpApi.TriggerConfigOrBuilder` | `getTriggerConfigOrBuilder()`
    `com.google.protobuf.UnknownFieldSet` | `getUnknownFields()`
    `boolean` | `hasDeviceMode()`
    `boolean` | `hasGPIConfig()`
    `boolean` | `hasGPOConfig()`
    `boolean` | `hasOperationMode()`
    `boolean` | `hasOperationResponsibility()`
    `boolean` | `hasRegion()` repeated LicenseKey installed_license_keys = 1;
    `boolean` | `hasReportConfig()`
    `boolean` | `hasTriggerConfig()`
    `protected com.google.protobuf.GeneratedMessage.FieldAccessorTable` | `internalGetFieldAccessorTable()`
    `boolean` | `isInitialized()`
    `static StpApi.DeviceConfig.Builder` | `newBuilder()`
    `static StpApi.DeviceConfig.Builder` | `newBuilder(StpApi.DeviceConfig prototype)`
    `StpApi.DeviceConfig.Builder` | `newBuilderForType()`
    `protected StpApi.DeviceConfig.Builder` | `newBuilderForType(com.google.protobuf.GeneratedMessage.BuilderParent parent)`
    `static StpApi.DeviceConfig` | `parseDelimitedFrom(java.io.InputStream input)`
    `static StpApi.DeviceConfig` | `parseDelimitedFrom(java.io.InputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
    `static StpApi.DeviceConfig` | `parseFrom(byte[] data)`
    `static StpApi.DeviceConfig` | `parseFrom(byte[] data, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
    `static StpApi.DeviceConfig` | `parseFrom(com.google.protobuf.ByteString data)`
    `static StpApi.DeviceConfig` | `parseFrom(com.google.protobuf.ByteString data, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
    `static StpApi.DeviceConfig` | `parseFrom(com.google.protobuf.CodedInputStream input)`
    `static StpApi.DeviceConfig` | `parseFrom(com.google.protobuf.CodedInputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
    `static StpApi.DeviceConfig` | `parseFrom(java.io.InputStream input)`
    `static StpApi.DeviceConfig` | `parseFrom(java.io.InputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
    `StpApi.DeviceConfig.Builder` | `toBuilder()`
    `protected java.lang.Object` | `writeReplace()`
    `void` | `writeTo(com.google.protobuf.CodedOutputStream output)`

    - ### Methods inherited from class com.google.protobuf.GeneratedMessage

      `getAllFields, getDescriptorForType, getField, getRepeatedField, getRepeatedFieldCount, hasField, makeExtensionsImmutable, newFileScopedGeneratedExtension, newMessageScopedGeneratedExtension, parseUnknownField`

    - ### Methods inherited from class com.google.protobuf.AbstractMessage

      `equals, findInitializationErrors, getInitializationErrorString, hashBoolean, hashCode, hashEnum, hashEnumList, hashFields, hashLong, toString`

    - ### Methods inherited from class com.google.protobuf.AbstractMessageLite

      `toByteArray, toByteString, writeDelimitedTo, writeTo`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface com.google.protobuf.MessageOrBuilder

      `findInitializationErrors, getAllFields, getDescriptorForType, getField, getInitializationErrorString, getRepeatedField, getRepeatedFieldCount, hasField`

    - ### Methods inherited from interface com.google.protobuf.MessageLite

      `toByteArray, toByteString, writeDelimitedTo, writeTo`

- - ### Field Detail

    - #### PARSER

          public static com.google.protobuf.Parser<StpApi.DeviceConfig> PARSER

    - #### REGION_FIELD_NUMBER

          public static final int REGION_FIELD_NUMBER

      See Also:
        Constant Field Values

    - #### DEVICE_MODE_FIELD_NUMBER

          public static final int DEVICE_MODE_FIELD_NUMBER

      See Also:
        Constant Field Values

    - #### OPERATION_MODE_FIELD_NUMBER

          public static final int OPERATION_MODE_FIELD_NUMBER

      See Also:
        Constant Field Values

    - #### OPERATION_RESPONSIBILITY_FIELD_NUMBER

          public static final int OPERATION_RESPONSIBILITY_FIELD_NUMBER

      See Also:
        Constant Field Values

    - #### TRIGGER_CONFIG_FIELD_NUMBER

          public static final int TRIGGER_CONFIG_FIELD_NUMBER

      See Also:
        Constant Field Values

    - #### GPI_CONFIG_FIELD_NUMBER

          public static final int GPI_CONFIG_FIELD_NUMBER

      See Also:
        Constant Field Values

    - #### GPO_CONFIG_FIELD_NUMBER

          public static final int GPO_CONFIG_FIELD_NUMBER

      See Also:
        Constant Field Values

    - #### REPORT_CONFIG_FIELD_NUMBER

          public static final int REPORT_CONFIG_FIELD_NUMBER

      See Also:
        Constant Field Values

  - ### Method Detail

    - #### getDefaultInstance

          public static StpApi.DeviceConfig getDefaultInstance()

    - #### getDefaultInstanceForType

          public StpApi.DeviceConfig getDefaultInstanceForType()

      Specified by:
        `getDefaultInstanceForType` in interface `com.google.protobuf.MessageLiteOrBuilder`
      Specified by:
        `getDefaultInstanceForType` in interface `com.google.protobuf.MessageOrBuilder`

    - #### getUnknownFields

          public final com.google.protobuf.UnknownFieldSet getUnknownFields()

      Specified by:
        `getUnknownFields` in interface `com.google.protobuf.MessageOrBuilder`
      Overrides:
        `getUnknownFields` in class `com.google.protobuf.GeneratedMessage`

    - #### getDescriptor

          public static final com.google.protobuf.Descriptors.Descriptor getDescriptor()

    - #### internalGetFieldAccessorTable

          protected com.google.protobuf.GeneratedMessage.FieldAccessorTable internalGetFieldAccessorTable()

      Specified by:
        `internalGetFieldAccessorTable` in class `com.google.protobuf.GeneratedMessage`

    - #### getParserForType

          public com.google.protobuf.Parser<StpApi.DeviceConfig> getParserForType()

      Specified by:
        `getParserForType` in interface `com.google.protobuf.Message`
      Specified by:
        `getParserForType` in interface `com.google.protobuf.MessageLite`
      Overrides:
        `getParserForType` in class `com.google.protobuf.GeneratedMessage`

    - #### hasRegion

          public boolean hasRegion()

      repeated LicenseKey installed_license_keys = 1;
      Specified by:
        `hasRegion` in interface `StpApi.DeviceConfigOrBuilder`

    - #### getRegion

          public StpApi.Region getRegion()

      repeated LicenseKey installed_license_keys = 1;
      Specified by:
        `getRegion` in interface `StpApi.DeviceConfigOrBuilder`

    - #### getRegionOrBuilder

          public StpApi.RegionOrBuilder getRegionOrBuilder()

      repeated LicenseKey installed_license_keys = 1;
      Specified by:
        `getRegionOrBuilder` in interface `StpApi.DeviceConfigOrBuilder`

    - #### hasDeviceMode

          public boolean hasDeviceMode()

      Specified by:
        `hasDeviceMode` in interface `StpApi.DeviceConfigOrBuilder`

    - #### getDeviceMode

          public StpApi.DeviceMode getDeviceMode()

      Specified by:
        `getDeviceMode` in interface `StpApi.DeviceConfigOrBuilder`

    - #### hasOperationMode

          public boolean hasOperationMode()

      Specified by:
        `hasOperationMode` in interface `StpApi.DeviceConfigOrBuilder`

    - #### getOperationMode

          public StpApi.OperationMode getOperationMode()

      Specified by:
        `getOperationMode` in interface `StpApi.DeviceConfigOrBuilder`

    - #### hasOperationResponsibility

          public boolean hasOperationResponsibility()

      Specified by:
        `hasOperationResponsibility` in interface `StpApi.DeviceConfigOrBuilder`

    - #### getOperationResponsibility

          public StpApi.OperationResponsibility getOperationResponsibility()

      Specified by:
        `getOperationResponsibility` in interface `StpApi.DeviceConfigOrBuilder`

    - #### getOperationResponsibilityOrBuilder

          public StpApi.OperationResponsibilityOrBuilder getOperationResponsibilityOrBuilder()

      Specified by:
        `getOperationResponsibilityOrBuilder` in interface `StpApi.DeviceConfigOrBuilder`

    - #### hasTriggerConfig

          public boolean hasTriggerConfig()

      Specified by:
        `hasTriggerConfig` in interface `StpApi.DeviceConfigOrBuilder`

    - #### getTriggerConfig

          public StpApi.TriggerConfig getTriggerConfig()

      Specified by:
        `getTriggerConfig` in interface `StpApi.DeviceConfigOrBuilder`

    - #### getTriggerConfigOrBuilder

          public StpApi.TriggerConfigOrBuilder getTriggerConfigOrBuilder()

      Specified by:
        `getTriggerConfigOrBuilder` in interface `StpApi.DeviceConfigOrBuilder`

    - #### hasGPIConfig

          public boolean hasGPIConfig()

      Specified by:
        `hasGPIConfig` in interface `StpApi.DeviceConfigOrBuilder`

    - #### getGPIConfig

          public StpApi.GPIConfig getGPIConfig()

      Specified by:
        `getGPIConfig` in interface `StpApi.DeviceConfigOrBuilder`

    - #### getGPIConfigOrBuilder

          public StpApi.GPIConfigOrBuilder getGPIConfigOrBuilder()

      Specified by:
        `getGPIConfigOrBuilder` in interface `StpApi.DeviceConfigOrBuilder`

    - #### hasGPOConfig

          public boolean hasGPOConfig()

      Specified by:
        `hasGPOConfig` in interface `StpApi.DeviceConfigOrBuilder`

    - #### getGPOConfig

          public StpApi.GPOConfig getGPOConfig()

      Specified by:
        `getGPOConfig` in interface `StpApi.DeviceConfigOrBuilder`

    - #### getGPOConfigOrBuilder

          public StpApi.GPOConfigOrBuilder getGPOConfigOrBuilder()

      Specified by:
        `getGPOConfigOrBuilder` in interface `StpApi.DeviceConfigOrBuilder`

    - #### hasReportConfig

          public boolean hasReportConfig()

      Specified by:
        `hasReportConfig` in interface `StpApi.DeviceConfigOrBuilder`

    - #### getReportConfig

          public StpApi.ReportConfig getReportConfig()

      Specified by:
        `getReportConfig` in interface `StpApi.DeviceConfigOrBuilder`

    - #### getReportConfigOrBuilder

          public StpApi.ReportConfigOrBuilder getReportConfigOrBuilder()

      Specified by:
        `getReportConfigOrBuilder` in interface `StpApi.DeviceConfigOrBuilder`

    - #### isInitialized

          public final boolean isInitialized()

      Specified by:
        `isInitialized` in interface `com.google.protobuf.MessageLiteOrBuilder`
      Overrides:
        `isInitialized` in class `com.google.protobuf.GeneratedMessage`

    - #### writeTo

          public void writeTo(com.google.protobuf.CodedOutputStream output)
                       throws java.io.IOException

      Specified by:
        `writeTo` in interface `com.google.protobuf.MessageLite`
      Overrides:
        `writeTo` in class `com.google.protobuf.AbstractMessage`
      Throws:
        `java.io.IOException`

    - #### getSerializedSize

          public int getSerializedSize()

      Specified by:
        `getSerializedSize` in interface `com.google.protobuf.MessageLite`
      Overrides:
        `getSerializedSize` in class `com.google.protobuf.AbstractMessage`

    - #### writeReplace

          protected java.lang.Object writeReplace()
                                           throws java.io.ObjectStreamException

      Overrides:
        `writeReplace` in class `com.google.protobuf.GeneratedMessage`
      Throws:
        `java.io.ObjectStreamException`

    - #### parseFrom

          public static StpApi.DeviceConfig parseFrom(com.google.protobuf.ByteString data)
                                               throws com.google.protobuf.InvalidProtocolBufferException

      Throws:
        `com.google.protobuf.InvalidProtocolBufferException`

    - #### parseFrom

          public static StpApi.DeviceConfig parseFrom(com.google.protobuf.ByteString data,
                                                      com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                                               throws com.google.protobuf.InvalidProtocolBufferException

      Throws:
        `com.google.protobuf.InvalidProtocolBufferException`

    - #### parseFrom

          public static StpApi.DeviceConfig parseFrom(byte[] data)
                                               throws com.google.protobuf.InvalidProtocolBufferException

      Throws:
        `com.google.protobuf.InvalidProtocolBufferException`

    - #### parseFrom

          public static StpApi.DeviceConfig parseFrom(byte[] data,
                                                      com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                                               throws com.google.protobuf.InvalidProtocolBufferException

      Throws:
        `com.google.protobuf.InvalidProtocolBufferException`

    - #### parseFrom

          public static StpApi.DeviceConfig parseFrom(java.io.InputStream input)
                                               throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### parseFrom

          public static StpApi.DeviceConfig parseFrom(java.io.InputStream input,
                                                      com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                                               throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### parseDelimitedFrom

          public static StpApi.DeviceConfig parseDelimitedFrom(java.io.InputStream input)
                                                        throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### parseDelimitedFrom

          public static StpApi.DeviceConfig parseDelimitedFrom(java.io.InputStream input,
                                                               com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                                                        throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### parseFrom

          public static StpApi.DeviceConfig parseFrom(com.google.protobuf.CodedInputStream input)
                                               throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### parseFrom

          public static StpApi.DeviceConfig parseFrom(com.google.protobuf.CodedInputStream input,
                                                      com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                                               throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### newBuilder

          public static StpApi.DeviceConfig.Builder newBuilder()

    - #### newBuilderForType

          public StpApi.DeviceConfig.Builder newBuilderForType()

      Specified by:
        `newBuilderForType` in interface `com.google.protobuf.Message`
      Specified by:
        `newBuilderForType` in interface `com.google.protobuf.MessageLite`

    - #### newBuilder

          public static StpApi.DeviceConfig.Builder newBuilder(StpApi.DeviceConfig prototype)

    - #### toBuilder

          public StpApi.DeviceConfig.Builder toBuilder()

      Specified by:
        `toBuilder` in interface `com.google.protobuf.Message`
      Specified by:
        `toBuilder` in interface `com.google.protobuf.MessageLite`

    - #### newBuilderForType

          protected StpApi.DeviceConfig.Builder newBuilderForType(com.google.protobuf.GeneratedMessage.BuilderParent parent)

      Specified by:
        `newBuilderForType` in class `com.google.protobuf.GeneratedMessage`